Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TProvide

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TProvideImpl

    public interface TProvide

extends org.apache.xmlbeans.XmlObject

An XML tProvide(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static class` | `TProvide.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TEnableSharing` | `addNewEnableSharing()` Appends and returns a new empty "enableSharing" element
`TService` | `addNewService()` Appends and returns a new empty "service" element
`TEnableSharing` | `getEnableSharing()` Gets the "enableSharing" element
`java.lang.String` | `getPartnerLink()` Gets the "partnerLink" attribute
`TService` | `getService()` Gets the "service" element
`boolean` | `isSetEnableSharing()` True if has "enableSharing" element
`void` | `setEnableSharing(TEnableSharing enableSharing)` Sets the "enableSharing" element
`void` | `setPartnerLink(java.lang.String partnerLink)` Sets the "partnerLink" attribute
`void` | `setService(TService service)` Sets the "service" element
`void` | `unsetEnableSharing()` Unsets the "enableSharing" element
`org.apache.xmlbeans.XmlString` | `xgetPartnerLink()` Gets (as xml) the "partnerLink" attribute
`void` | `xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)` Sets (as xml) the "partnerLink" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getService

    TService getService()

  Gets the "service" element

### setService

    void setService(TService service)

  Sets the "service" element

### addNewService

    TService addNewService()

  Appends and returns a new empty "service" element

### getEnableSharing

    TEnableSharing getEnableSharing()

  Gets the "enableSharing" element

### isSetEnableSharing

    boolean isSetEnableSharing()

  True if has "enableSharing" element

### setEnableSharing

    void setEnableSharing(TEnableSharing enableSharing)

  Sets the "enableSharing" element

### addNewEnableSharing

    TEnableSharing addNewEnableSharing()

  Appends and returns a new empty "enableSharing" element

### unsetEnableSharing

    void unsetEnableSharing()

  Unsets the "enableSharing" element

### getPartnerLink

    java.lang.String getPartnerLink()

  Gets the "partnerLink" attribute

### xgetPartnerLink

    org.apache.xmlbeans.XmlString xgetPartnerLink()

  Gets (as xml) the "partnerLink" attribute

### setPartnerLink

    void setPartnerLink(java.lang.String partnerLink)

  Sets the "partnerLink" attribute

### xsetPartnerLink

    void xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)

  Sets (as xml) the "partnerLink" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD